Package Details: mrpt 1.5.8-1

Git Clone URL: https://aur.archlinux.org/mrpt.git (read-only, click to copy)
Package Base: mrpt
Description: Provides an extensive set of libraries, algorithms, and applications employed in a number of mobile robotics research areas.
Upstream URL: http://www.mrpt.org
Licenses: GPL3
Submitter: majorx234
Maintainer: majorx234
Last Packager: majorx234
Votes: 1
Popularity: 0.000000
First Submitted: 2017-03-02 03:25
Last Updated: 2019-12-13 00:41

Latest Comments

majorx234 commented on 2019-12-13 00:49

@jerry73204 I added both patches, seems to work. looks for me a bit messy,but I haven't any better solution atm.

jerry73204 commented on 2019-12-05 16:10

Also, include this path to prevent from linking GTK 3 symbols. Since OpenCV 2 links to GTK 2.x, the program will fail if both GTK {2.x, 3} are present.

diff --git a/cmakemodules/script_wxwidgets.cmake b/cmakemodules/script_wxwidgets.cmake
index d134ab931..88d29d4b2 100644
--- a/cmakemodules/script_wxwidgets.cmake
+++ b/cmakemodules/script_wxwidgets.cmake
@@ -18,19 +18,19 @@ ENDIF(UNIX)

 # Select wx toolkit options, like GTK2 vs GTK3, etc.
 if(UNIX)
-   # If available, prefer gtk3:
-   execute_process(
-       COMMAND wx-config --selected-config --toolkit=gtk3
-       RESULT_VARIABLE ret
-       OUTPUT_QUIET
-   )
-   if(ret EQUAL "0")
-       message(STATUS "wxWidgets: Found gtk3 version, using it.")
-       set(wxWidgets_CONFIG_OPTIONS_DEFAULT "--toolkit=gtk3")
-   else()
-       message(STATUS "wxWidgets: No gtk3 version found, falling back to default (likely gtk2)")
-   endif()
-   unset(ret)
+#  # If available, prefer gtk3:
+#  execute_process(
+#      COMMAND wx-config --selected-config --toolkit=gtk3
+#      RESULT_VARIABLE ret
+#      OUTPUT_QUIET
+#  )
+#  if(ret EQUAL "0")
+#      message(STATUS "wxWidgets: Found gtk3 version, using it.")
+#      set(wxWidgets_CONFIG_OPTIONS_DEFAULT "--toolkit=gtk3")
+#  else()
+#      message(STATUS "wxWidgets: No gtk3 version found, falling back to default (likely gtk2)")
+#  endif()
+#  unset(ret)

    set(wxWidgets_CONFIG_OPTIONS "${wxWidgets_CONFIG_OPTIONS_DEFAULT}" ON STRING "wxWidgets toolkit options")
 endif()

jerry73204 commented on 2019-12-05 15:32

It does not compile when opencv and opencv2-opt are simultaneously installed. Could you include this patch to fix this?

diff --git a/cmakemodules/script_opencv.cmake b/cmakemodules/script_opencv.cmake
index 8033126aa..64cfb7ddb 100644
--- a/cmakemodules/script_opencv.cmake
+++ b/cmakemodules/script_opencv.cmake
@@ -11,7 +11,7 @@ MARK_AS_ADVANCED(OpenCV_IGNORE_PKGCONFIG)
 # Use CMAKE module if opencv's not been detected yet:
 IF(NOT CMAKE_MRPT_HAS_OPENCV)
    # 1st: Try to find OpenCV config file (NO_MODULE: Don't find a module, but OpenCVConfig.cmake):
-   FIND_PACKAGE(OpenCV  QUIET NO_MODULE)
+   FIND_PACKAGE(OpenCV 2 QUIET NO_MODULE)
    IF(OpenCV_FOUND)
        SET(MRPT_OPENCV_VERSION ${OpenCV_VERSION})
        SET(OpenCV_LIBRARIES ${OpenCV_LIBS})
@@ -48,7 +48,7 @@ ENDIF(NOT CMAKE_MRPT_HAS_OPENCV AND PKG_CONFIG_FOUND AND NOT OpenCV_IGNORE_PKGCO

 IF(NOT CMAKE_MRPT_HAS_OPENCV)
    # 3rd: OK, let's use the module:
-   FIND_PACKAGE(OpenCV)
+   FIND_PACKAGE(OpenCV 2)
    IF(OpenCV_FOUND)
        # MRPT_OPENCV_VERSION
        IF($ENV{VERBOSE})